package com.ruoyi.system.model.auxiliary;

import java.io.Serializable;

/**
 * @Author jiuli
 * @Date 2024/3/26
 */
public class AuxiliaryDetailResponseModel implements Serializable {
    //创建人
    private String creator;
    //辅助核算def1
    private String def1;
    //编码
    private String code;
    //排序
    private Long sort;
    //是否强管控 是:true,否:false
    private Boolean strongctrl;
    //删除标识
    private Long dr;
    //档案类型
    private String doctype;
    //辅助核算多语预留
    private String name6;
    //辅助核算多语预留
    private String name5;
    //辅助核算多语预留
    private String name4;
    //修改时间
    private Long modifiedtime;
    //辅助核算项id
    private String multidimension;
    //辅助核算繁体
    private String name3;
    //来源
    private String srctplid;
    //辅助核算vrs
    private String vrs;
    //辅助核算中文名
    private String name;
    //租户
    private String tenantid;
    //创建时间
    private Long creationtime;
    //主键
    private String id;
    //状态
    private Long state;
    //辅助核算英文名
    private String name2;
    //来源档案
    private SourceDocModel sourceDoc;
    //时间
    private Long ts;

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public Boolean getStrongctrl() {
        return strongctrl;
    }

    public void setStrongctrl(Boolean strongctrl) {
        this.strongctrl = strongctrl;
    }

    public Long getDr() {
        return dr;
    }

    public void setDr(Long dr) {
        this.dr = dr;
    }

    public String getDoctype() {
        return doctype;
    }

    public void setDoctype(String doctype) {
        this.doctype = doctype;
    }

    public String getName6() {
        return name6;
    }

    public void setName6(String name6) {
        this.name6 = name6;
    }

    public String getName5() {
        return name5;
    }

    public void setName5(String name5) {
        this.name5 = name5;
    }

    public String getName4() {
        return name4;
    }

    public void setName4(String name4) {
        this.name4 = name4;
    }

    public Long getModifiedtime() {
        return modifiedtime;
    }

    public void setModifiedtime(Long modifiedtime) {
        this.modifiedtime = modifiedtime;
    }

    public String getMultidimension() {
        return multidimension;
    }

    public void setMultidimension(String multidimension) {
        this.multidimension = multidimension;
    }

    public String getName3() {
        return name3;
    }

    public void setName3(String name3) {
        this.name3 = name3;
    }

    public String getSrctplid() {
        return srctplid;
    }

    public void setSrctplid(String srctplid) {
        this.srctplid = srctplid;
    }

    public String getVrs() {
        return vrs;
    }

    public void setVrs(String vrs) {
        this.vrs = vrs;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTenantid() {
        return tenantid;
    }

    public void setTenantid(String tenantid) {
        this.tenantid = tenantid;
    }

    public Long getCreationtime() {
        return creationtime;
    }

    public void setCreationtime(Long creationtime) {
        this.creationtime = creationtime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getState() {
        return state;
    }

    public void setState(Long state) {
        this.state = state;
    }

    public String getName2() {
        return name2;
    }

    public void setName2(String name2) {
        this.name2 = name2;
    }

    public SourceDocModel getSourceDoc() {
        return sourceDoc;
    }

    public void setSourceDoc(SourceDocModel sourceDoc) {
        this.sourceDoc = sourceDoc;
    }

    public Long getTs() {
        return ts;
    }

    public void setTs(Long ts) {
        this.ts = ts;
    }
}
